# Package com.oracle.truffle.api.frame

Interface Summary
Interface | Description
--- | ---
Frame | Represents a frame containing values of local variables of the guest language.
FrameInstance |
FrameInstanceVisitor<T> | Callback interface for `TruffleRuntime.iterateFrames(com.oracle.truffle.api.frame.FrameInstanceVisitor<T>)`.
MaterializedFrame | Represents a materialized frame containing values of local variables of the guest language.
VirtualFrame | Represents a frame containing values of local variables of the guest language.

Class Summary
Class | Description
--- | ---
FrameDescriptor | Descriptor of the slots of frame objects.
FrameSlot | A slot in a frame that can store a value of a given type.
FrameUtil |

Enum Summary
Enum | Description
--- | ---
FrameInstance.FrameAccess |
FrameSlotKind |

Exception Summary
Exception | Description
--- | ---
FrameSlotTypeException | Exception thrown if the frame slot type does not match the access type.